package controller;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

public class WebHelloController {
	
	//@RequestMapping(method = RequestMethod.GET)
	@RequestMapping(value="/hello", method = RequestMethod.GET)
	public ModelAndView helloWorld() {
		String message = "안녕하세요!, Spring 4 시작입니다.";
		
		ModelAndView mav = new ModelAndView();
		mav.setViewName("webhello");
		mav.addObject("message", message);
		
		return mav;
	}
}
